org.apache.sysds.common

## Enum Types.OpOp2

- java.lang.Object
- - java.lang.Enum<Types.OpOp2>
  - - org.apache.sysds.common.Types.OpOp2

- All Implemented Interfaces:
    Serializable, Comparable<Types.OpOp2>
  Enclosing class:
    Types

      public static enum Types.OpOp2
      extends Enum<Types.OpOp2>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AND`
    `BITWAND`
    `BITWOR`
    `BITWSHIFTL`
    `BITWSHIFTR`
    `BITWXOR`
    `CBIND`
    `CONCAT`
    `COV`
    `DIV`
    `DROP_INVALID_LENGTH`
    `DROP_INVALID_TYPE`
    `EQUAL`
    `GREATER`
    `GREATEREQUAL`
    `INTDIV`
    `INTERQUANTILE`
    `IQM`
    `LESS`
    `LESSEQUAL`
    `LOG`
    `LOG_NZ`
    `MAP`
    `MAX`
    `MEDIAN`
    `MIN`
    `MINUS`
    `MINUS_NZ`
    `MINUS1_MULT`
    `MODULUS`
    `MOMENT`
    `MULT`
    `NOTEQUAL`
    `OR`
    `PLUS`
    `POW`
    `PRINT`
    `QUANTILE`
    `RBIND`
    `SOLVE`
    `XOR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isValidOuter()`
    `String` | `toString()`
    `static Types.OpOp2` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Types.OpOp2` | `valueOfByOpcode(String opcode)`
    `static Types.OpOp2[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AND

          public static final Types.OpOp2 AND

    - #### BITWAND

          public static final Types.OpOp2 BITWAND

    - #### BITWOR

          public static final Types.OpOp2 BITWOR

    - #### BITWSHIFTL

          public static final Types.OpOp2 BITWSHIFTL

    - #### BITWSHIFTR

          public static final Types.OpOp2 BITWSHIFTR

    - #### BITWXOR

          public static final Types.OpOp2 BITWXOR

    - #### CBIND

          public static final Types.OpOp2 CBIND

    - #### CONCAT

          public static final Types.OpOp2 CONCAT

    - #### COV

          public static final Types.OpOp2 COV

    - #### DIV

          public static final Types.OpOp2 DIV

    - #### DROP_INVALID_TYPE

          public static final Types.OpOp2 DROP_INVALID_TYPE

    - #### DROP_INVALID_LENGTH

          public static final Types.OpOp2 DROP_INVALID_LENGTH

    - #### EQUAL

          public static final Types.OpOp2 EQUAL

    - #### GREATER

          public static final Types.OpOp2 GREATER

    - #### GREATEREQUAL

          public static final Types.OpOp2 GREATEREQUAL

    - #### INTDIV

          public static final Types.OpOp2 INTDIV

    - #### INTERQUANTILE

          public static final Types.OpOp2 INTERQUANTILE

    - #### IQM

          public static final Types.OpOp2 IQM

    - #### LESS

          public static final Types.OpOp2 LESS

    - #### LESSEQUAL

          public static final Types.OpOp2 LESSEQUAL

    - #### LOG

          public static final Types.OpOp2 LOG

    - #### MAP

          public static final Types.OpOp2 MAP

    - #### MAX

          public static final Types.OpOp2 MAX

    - #### MEDIAN

          public static final Types.OpOp2 MEDIAN

    - #### MIN

          public static final Types.OpOp2 MIN

    - #### MINUS

          public static final Types.OpOp2 MINUS

    - #### MODULUS

          public static final Types.OpOp2 MODULUS

    - #### MOMENT

          public static final Types.OpOp2 MOMENT

    - #### MULT

          public static final Types.OpOp2 MULT

    - #### NOTEQUAL

          public static final Types.OpOp2 NOTEQUAL

    - #### OR

          public static final Types.OpOp2 OR

    - #### PLUS

          public static final Types.OpOp2 PLUS

    - #### POW

          public static final Types.OpOp2 POW

    - #### PRINT

          public static final Types.OpOp2 PRINT

    - #### QUANTILE

          public static final Types.OpOp2 QUANTILE

    - #### SOLVE

          public static final Types.OpOp2 SOLVE

    - #### RBIND

          public static final Types.OpOp2 RBIND

    - #### XOR

          public static final Types.OpOp2 XOR

    - #### MINUS_NZ

          public static final Types.OpOp2 MINUS_NZ

    - #### LOG_NZ

          public static final Types.OpOp2 LOG_NZ

    - #### MINUS1_MULT

          public static final Types.OpOp2 MINUS1_MULT

  - ### Method Detail

    - #### values

          public static Types.OpOp2[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Types.OpOp2 c : Types.OpOp2.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Types.OpOp2 valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isValidOuter

          public boolean isValidOuter()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Types.OpOp2>`

    - #### valueOfByOpcode

          public static Types.OpOp2 valueOfByOpcode(String opcode)

Copyright © 2021 The Apache Software Foundation. All rights reserved.